org.gradle.plugins.javascript.jshint

## Class JsHint

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.jshint.JsHint

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      public class JsHint
      extends SourceTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsHint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doJsHint()`
    `String` | `getEncoding()`
    `FileCollection` | `getJsHint()`
    `File` | `getJsonReport()`
    `FileCollection` | `getRhinoClasspath()`
    `protected org.gradle.process.internal.worker.WorkerProcessFactory` | `getWorkerProcessBuilderFactory()`
    `void` | `setEncoding(String encoding)`
    `void` | `setJsHint(FileCollection jsHint)` Sets jshint file.
    `void` | `setJsHint(Object jsHint)`
    `void` | `setJsonReport(File jsonReport)` Sets JSON report file.
    `void` | `setJsonReport(Object jsonReport)`
    `void` | `setRhinoClasspath(FileCollection rhinoClasspath)` Sets Rhino classpath.
    `void` | `setRhinoClasspath(Object rhinoClasspath)`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsHint

          public JsHint()

  - ### Method Detail

    - #### getWorkerProcessBuilderFactory

          @Inject
          protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory()

    - #### getRhinoClasspath

          @Classpath
          public FileCollection getRhinoClasspath()

    - #### setRhinoClasspath

          public void setRhinoClasspath(FileCollection rhinoClasspath)

      Sets Rhino classpath.
      Since:
        4.0

    - #### setRhinoClasspath

          public void setRhinoClasspath(Object rhinoClasspath)

    - #### getJsHint

          @InputFiles
          public FileCollection getJsHint()

    - #### setJsHint

          public void setJsHint(FileCollection jsHint)

      Sets jshint file.
      Since:
        4.0

    - #### setJsHint

          public void setJsHint(Object jsHint)

    - #### getEncoding

          @Input
          public String getEncoding()

    - #### setEncoding

          public void setEncoding(String encoding)

    - #### getJsonReport

          @OutputFile
          public File getJsonReport()

    - #### setJsonReport

          public void setJsonReport(File jsonReport)

      Sets JSON report file.
      Since:
        4.0

    - #### setJsonReport

          public void setJsonReport(Object jsonReport)

    - #### doJsHint

          public void doJsHint()